
/*
 * Copyright (c) Abraham vd Merwe <abz@blio.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *	  notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *	  notice, this list of conditions and the following disclaimer in the
 *	  documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of other contributors
 *	  may be used to endorse or promote products derived from this software
 *	  without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <inttypes.h>

#include "images.h"

/* orca.png */
const uint8_t orca[1399] =
{
   0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a,
   0x00, 0x00, 0x00, 0x0d, 0x49, 0x48, 0x44, 0x52,
   0x00, 0x00, 0x00, 0x9e, 0x00, 0x00, 0x00, 0x3e,
   0x08, 0x02, 0x00, 0x00, 0x00, 0x55, 0xfb, 0x35,
   0xc2, 0x00, 0x00, 0x05, 0x3e, 0x49, 0x44, 0x41,
   0x54, 0x78, 0xda, 0xed, 0x5c, 0x3d, 0x72, 0xab,
   0x30, 0x10, 0x26, 0x3c, 0x67, 0x5c, 0xc5, 0x55,
   0x3c, 0x93, 0x42, 0x4a, 0xe5, 0x2e, 0x17, 0x10,
   0x29, 0x73, 0x80, 0x74, 0xf2, 0x3d, 0x4c, 0xce,
   0x01, 0xbe, 0x07, 0xba, 0x43, 0x4a, 0x9b, 0x73,
   0x40, 0xba, 0x74, 0xe9, 0x5c, 0xf9, 0x15, 0x9a,
   0xe1, 0xf1, 0x04, 0x5a, 0x84, 0xfe, 0x20, 0x58,
   0x5f, 0x95, 0x00, 0x16, 0xbb, 0xda, 0xd5, 0xfe,
   0x69, 0xc5, 0x5d, 0x24, 0x01, 0x42, 0x28, 0x49,
   0x92, 0xc8, 0x0c, 0xe7, 0xf3, 0xf9, 0xeb, 0xeb,
   0x0b, 0x78, 0xc0, 0xca, 0x5b, 0x04, 0xd4, 0x75,
   0x5d, 0x96, 0xa5, 0xf6, 0xcf, 0x09, 0x21, 0x18,
   0xe3, 0xf9, 0xd0, 0x60, 0x38, 0xd4, 0x7f, 0x73,
   0x9d, 0x65, 0x59, 0x55, 0x55, 0x57, 0x4b, 0xa8,
   0xaa, 0x2a, 0xcb, 0x32, 0x84, 0x50, 0xef, 0xeb,
   0x28, 0xa5, 0x57, 0x37, 0x28, 0x8a, 0x82, 0x10,
   0x32, 0x6a, 0x36, 0x8b, 0xa2, 0xb0, 0xf8, 0x76,
   0x3d, 0x89, 0xca, 0x68, 0x18, 0xcb, 0x4e, 0xcf,
   0x44, 0x5b, 0x14, 0xaa, 0x20, 0x60, 0x4a, 0xa9,
   0x4f, 0xd1, 0x72, 0x64, 0x59, 0xa6, 0xc2, 0x78,
   0x96, 0x65, 0xd6, 0x15, 0x6b, 0xec, 0xe4, 0xab,
   0xd0, 0x50, 0x14, 0x85, 0x6c, 0x91, 0x40, 0xb0,
   0xa8, 0xb3, 0xea, 0x13, 0xed, 0x5a, 0xb4, 0xd7,
   0xeb, 0xf5, 0x74, 0x3a, 0x01, 0xd3, 0x81, 0x10,
   0x72, 0xa1, 0xcd, 0xa3, 0x44, 0x3b, 0x8a, 0x86,
   0xaa, 0xaa, 0xc6, 0x49, 0xd7, 0xba, 0xda, 0xca,
   0x70, 0x38, 0x1c, 0x3c, 0x8b, 0x96, 0x4b, 0x57,
   0xc6, 0xb8, 0x23, 0x2b, 0x35, 0x4a, 0xb4, 0x63,
   0x69, 0x18, 0x31, 0x38, 0x21, 0xe4, 0xea, 0x11,
   0x6d, 0x9f, 0xe1, 0x47, 0xb4, 0x32, 0xcb, 0xec,
   0x4e, 0xa1, 0xd5, 0x67, 0x5f, 0x8f, 0x86, 0x5e,
   0xef, 0xe6, 0x4f, 0x73, 0x01, 0x93, 0xe2, 0x5f,
   0xb4, 0x82, 0x4a, 0xb9, 0x56, 0x68, 0x45, 0xd1,
   0x22, 0x84, 0xcc, 0xe7, 0x50, 0x86, 0x98, 0x52,
   0x6a, 0x1e, 0xeb, 0x8f, 0x02, 0xc6, 0x58, 0x55,
   0xe9, 0xac, 0x22, 0x4d, 0x53, 0xe0, 0xdf, 0x49,
   0xa0, 0x17, 0x48, 0xf3, 0x39, 0x1c, 0x8c, 0x10,
   0x57, 0xf0, 0x2c, 0x33, 0xc6, 0x4c, 0xe2, 0x6d,
   0xe0, 0x16, 0x3c, 0xb2, 0x76, 0x32, 0x07, 0x24,
   0xca, 0x02, 0x3d, 0x00, 0x79, 0x83, 0xe9, 0xb8,
   0x4a, 0x42, 0xaf, 0x32, 0x3f, 0x32, 0x52, 0x1b,
   0xf6, 0x81, 0x24, 0x3b, 0x4d, 0xd3, 0xe3, 0xf1,
   0x08, 0xd1, 0x29, 0xb3, 0xc6, 0xa3, 0x23, 0xb1,
   0x31, 0x81, 0x5f, 0x63, 0x4f, 0x64, 0x06, 0x59,
   0x5b, 0x9d, 0x61, 0x23, 0xdf, 0xd8, 0x64, 0xc0,
   0x1a, 0x2b, 0xe6, 0x4b, 0xe6, 0x00, 0xfc, 0x60,
   0xdb, 0x77, 0x00, 0x99, 0xcb, 0xc0, 0x2c, 0x29,
   0x7a, 0x26, 0x6d, 0xe9, 0xca, 0xc6, 0x77, 0x27,
   0xda, 0x28, 0x8a, 0x4e, 0xa7, 0x13, 0x1c, 0x7d,
   0xc8, 0xde, 0x0b, 0xc4, 0xd2, 0x76, 0x71, 0x38,
   0x1c, 0x14, 0xe3, 0x79, 0x38, 0x35, 0x02, 0xc4,
   0x14, 0xcb, 0x6e, 0x58, 0x29, 0x6e, 0x19, 0x9a,
   0x35, 0xff, 0xef, 0xf5, 0x43, 0x30, 0x42, 0x28,
   0xcf, 0x73, 0xd9, 0xdd, 0xfd, 0x7e, 0x2f, 0x90,
   0x74, 0x3c, 0x1e, 0x65, 0x0f, 0x03, 0xe3, 0xc4,
   0xd1, 0x12, 0x61, 0xc5, 0xe4, 0xb8, 0x03, 0x20,
   0x8f, 0x3c, 0xcf, 0xbb, 0xea, 0x75, 0x3c, 0x1e,
   0xeb, 0xba, 0xee, 0x7d, 0x3e, 0x49, 0x12, 0xa1,
   0x54, 0xb0, 0x58, 0xd1, 0x22, 0x84, 0x8a, 0xa2,
   0x90, 0x85, 0x1e, 0x2a, 0xd1, 0x8d, 0x07, 0xb5,
   0x93, 0x45, 0x70, 0x75, 0x5d, 0xcb, 0x16, 0xa8,
   0xb0, 0x94, 0x05, 0xdb, 0x3e, 0xce, 0xd7, 0xda,
   0xe2, 0x44, 0xcf, 0xd7, 0x4e, 0x95, 0x4f, 0x1b,
   0xfa, 0x78, 0x93, 0x38, 0xc0, 0x7a, 0x41, 0x66,
   0x99, 0x06, 0xd9, 0x7a, 0x22, 0x67, 0x31, 0x7a,
   0xb2, 0xbe, 0x89, 0xc9, 0x13, 0xa1, 0x6e, 0x3a,
   0x13, 0x44, 0xeb, 0xd5, 0x59, 0x48, 0x8d, 0xa7,
   0x03, 0xff, 0x7d, 0x2b, 0xa2, 0xcd, 0xf3, 0xdc,
   0xce, 0x86, 0xb6, 0xd9, 0x92, 0x75, 0x57, 0xf8,
   0xa3, 0x94, 0x0a, 0xc1, 0xe3, 0xad, 0x88, 0x96,
   0x52, 0x6a, 0x58, 0x81, 0x31, 0x5f, 0xb2, 0xae,
   0x4b, 0x9b, 0xc2, 0xc2, 0xbd, 0x15, 0xd1, 0x62,
   0x8c, 0xdd, 0x19, 0x43, 0x15, 0x78, 0x08, 0xd0,
   0x84, 0x44, 0xe8, 0x86, 0x7c, 0x6d, 0x6f, 0xac,
   0xe1, 0x2d, 0xe1, 0x71, 0x11, 0x3d, 0xf5, 0xda,
   0xfc, 0x86, 0xc7, 0x1b, 0x12, 0x2d, 0x94, 0x02,
   0xfe, 0xfe, 0x25, 0xdb, 0x35, 0x4e, 0x33, 0x15,
   0x2d, 0x63, 0xec, 0x4e, 0x17, 0xfb, 0xfd, 0x1e,
   0xa8, 0xdd, 0xcc, 0x2a, 0x7a, 0x3a, 0x9f, 0xcf,
   0x7a, 0x3c, 0x62, 0x8c, 0x65, 0x3c, 0xfe, 0x33,
   0x4e, 0xf3, 0x2c, 0x59, 0x18, 0xaa, 0x39, 0x50,
   0x09, 0xf1, 0x5c, 0xb2, 0x80, 0x37, 0xdb, 0x4d,
   0x0a, 0xa2, 0x83, 0x1b, 0x0c, 0xcb, 0x34, 0xc8,
   0x73, 0xa8, 0x4e, 0x0c, 0xba, 0x00, 0xc3, 0x7c,
   0x0c, 0x2e, 0x2c, 0x13, 0x42, 0x62, 0x40, 0xdd,
   0xac, 0xe8, 0xec, 0xef, 0xd2, 0x09, 0xeb, 0x04,
   0x03, 0x89, 0x2c, 0xb0, 0x9f, 0xa3, 0x08, 0xa0,
   0xb0, 0x8c, 0x31, 0x8e, 0x65, 0x92, 0x87, 0x7b,
   0x3c, 0xb5, 0x4b, 0x24, 0x1c, 0xb2, 0x97, 0x7a,
   0x03, 0xa0, 0xef, 0x7e, 0x9a, 0x7b, 0xd2, 0x34,
   0x35, 0xdf, 0x40, 0x2c, 0xcb, 0x12, 0xd8, 0xf0,
   0x58, 0x95, 0x65, 0xd9, 0xab, 0x59, 0xdc, 0x51,
   0x9b, 0x58, 0x36, 0xa0, 0xf9, 0x63, 0xf2, 0xc2,
   0x10, 0x40, 0x40, 0x51, 0x14, 0x56, 0x1a, 0x68,
   0xe0, 0x45, 0x69, 0x6b, 0x63, 0x18, 0x18, 0x67,
   0xc5, 0x18, 0x83, 0x9b, 0x98, 0x96, 0xea, 0x0b,
   0x01, 0xc6, 0xad, 0x04, 0xd2, 0xe6, 0xf6, 0xd6,
   0x10, 0x31, 0x63, 0xcc, 0xb3, 0x79, 0x34, 0x34,
   0x06, 0xb6, 0x00, 0xec, 0x87, 0x2f, 0x03, 0x71,
   0x14, 0x45, 0x1f, 0x1f, 0x1f, 0x3e, 0x5f, 0xe9,
   0xf9, 0x75, 0x80, 0x4d, 0x9e, 0x4f, 0x20, 0xed,
   0x4a, 0xb4, 0x8c, 0x31, 0x6f, 0x2a, 0x9c, 0xe7,
   0xf9, 0x7c, 0x26, 0x14, 0x28, 0x6e, 0x2c, 0x44,
   0xb4, 0x7c, 0x25, 0x79, 0x98, 0x71, 0xc6, 0xd8,
   0x4c, 0x96, 0x6c, 0x83, 0xd7, 0xd7, 0xd7, 0xa5,
   0x4a, 0x37, 0x6e, 0xab, 0x30, 0x90, 0x27, 0x59,
   0x09, 0xf7, 0x9d, 0x8e, 0xaf, 0x1d, 0x61, 0x3e,
   0x3f, 0x3f, 0x2f, 0xd2, 0xef, 0xc6, 0xc2, 0xaa,
   0xc2, 0x18, 0xe7, 0x79, 0x6e, 0x51, 0x91, 0xeb,
   0xba, 0xce, 0xf3, 0x1c, 0x63, 0x3c, 0x79, 0xc4,
   0x08, 0xbb, 0xff, 0x24, 0x49, 0x16, 0xe6, 0x7a,
   0xef, 0x64, 0x37, 0xa6, 0xfd, 0xe0, 0x81, 0xf9,
   0x29, 0x7f, 0x59, 0x62, 0x33, 0x28, 0x3f, 0xbb,
   0x1f, 0x3c, 0x90, 0x8d, 0x66, 0x9e, 0x3a, 0xc3,
   0xd4, 0xce, 0xa1, 0x77, 0x33, 0x20, 0x20, 0x20,
   0x20, 0x80, 0xe3, 0x4f, 0x98, 0x02, 0x6d, 0x6c,
   0x36, 0x9b, 0xdd, 0x6e, 0x77, 0xb9, 0x5c, 0x2e,
   0x97, 0x4b, 0x14, 0x45, 0x2f, 0x2f, 0x2f, 0xeb,
   0xf5, 0xfa, 0xe7, 0xe7, 0xc7, 0xd6, 0x80, 0x01,
   0x01, 0x8e, 0xf1, 0xf6, 0xf6, 0xf6, 0xf0, 0xf0,
   0x00, 0x3f, 0xc3, 0x8f, 0x8a, 0x4e, 0x72, 0x24,
   0xde, 0x22, 0x78, 0x87, 0x46, 0xd3, 0x8f, 0x61,
   0x9d, 0x29, 0x5b, 0x5d, 0x2e, 0x2b, 0x5b, 0x04,
   0x7d, 0x7e, 0x7e, 0xde, 0x88, 0x12, 0xf3, 0xbe,
   0x2d, 0x87, 0xf9, 0xa8, 0xcb, 0xc1, 0xff, 0x29,
   0x63, 0xef, 0x39, 0xf9, 0xde, 0x73, 0xda, 0x5c,
   0x6d, 0xbb, 0x1a, 0xd7, 0x5c, 0xe9, 0x3d, 0xc6,
   0xd4, 0x34, 0x07, 0x0d, 0x8e, 0xa9, 0xd2, 0xc1,
   0x34, 0xea, 0x1b, 0x22, 0xbd, 0x47, 0x92, 0x39,
   0x8f, 0xb2, 0xce, 0x29, 0x4e, 0x4f, 0x7b, 0xd5,
   0xba, 0x60, 0xaa, 0x99, 0x31, 0x15, 0x32, 0x74,
   0x9a, 0xda, 0x04, 0x3b, 0xc3, 0x79, 0xa0, 0x94,
   0xf2, 0x11, 0xdb, 0x9f, 0x43, 0xe0, 0xfd, 0x57,
   0x9c, 0x32, 0x40, 0xb4, 0x80, 0xed, 0xe2, 0x63,
   0xb6, 0x4f, 0x83, 0xcb, 0xc6, 0x6c, 0xba, 0xc8,
   0x14, 0x4d, 0x99, 0x70, 0xa5, 0xfd, 0x73, 0x4e,
   0x4c, 0x5b, 0x4b, 0x04, 0x1e, 0xdb, 0xb7, 0xda,
   0xf4, 0x28, 0x1a, 0x64, 0xf5, 0x89, 0x12, 0x98,
   0x12, 0x44, 0x2b, 0x23, 0xa3, 0xfb, 0x95, 0x21,
   0x81, 0x59, 0xd5, 0xb6, 0x37, 0xa1, 0x74, 0x52,
   0x96, 0x65, 0x73, 0x45, 0xbb, 0xaa, 0xd2, 0x58,
   0x9e, 0xcd, 0x66, 0x13, 0x45, 0xd1, 0xf7, 0xf7,
   0x77, 0x14, 0x45, 0xdb, 0xed, 0x76, 0xb5, 0x5a,
   0xc9, 0xc6, 0x34, 0xac, 0xe0, 0x74, 0x7f, 0xde,
   0x2e, 0x4e, 0x01, 0x83, 0x6b, 0xbf, 0x57, 0x65,
   0xa2, 0xd4, 0x07, 0x87, 0xe9, 0xd7, 0xf4, 0xb5,
   0x4d, 0x65, 0xdf, 0x6e, 0xbc, 0xc0, 0xff, 0xe0,
   0x09, 0xc3, 0xfb, 0xfb, 0xbb, 0x8a, 0x3d, 0x71,
   0xee, 0x8a, 0xa6, 0x80, 0x0b, 0xa6, 0xa6, 0x6c,
   0x56, 0x15, 0x4c, 0x59, 0xb7, 0xad, 0x7c, 0x86,
   0x3b, 0x45, 0x63, 0x99, 0x9a, 0x10, 0x9a, 0xa2,
   0x25, 0x84, 0x34, 0x2e, 0xa4, 0xdb, 0xf8, 0x08,
   0x33, 0x26, 0xfb, 0x21, 0x42, 0xa8, 0xd7, 0x2d,
   0xb9, 0xce, 0x64, 0xba, 0x84, 0x69, 0x40, 0xc6,
   0x14, 0x3c, 0x51, 0x76, 0xe9, 0xb7, 0xa0, 0x7d,
   0x40, 0xe0, 0x07, 0x87, 0x6d, 0xdd, 0xa0, 0x54,
   0x2f, 0xea, 0x56, 0xcf, 0x08, 0x81, 0x2b, 0x83,
   0x11, 0x72, 0x5b, 0xb1, 0xda, 0x57, 0x84, 0xbb,
   0xd6, 0x99, 0x02, 0xc2, 0xa8, 0x2e, 0x19, 0xee,
   0x8e, 0x7d, 0x04, 0xcc, 0x08, 0x9a, 0x11, 0x72,
   0xc0, 0xcc, 0xf1, 0xeb, 0x0e, 0x6a, 0x04, 0x40,
   0xe8, 0x3a, 0x14, 0x6f, 0xa7, 0x3d, 0x03, 0x02,
   0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02,
   0x02, 0x02, 0x02, 0x02, 0x02, 0xfc, 0x83, 0x10,
   0xb2, 0x5e, 0xaf, 0x9f, 0x9e, 0x9e, 0x84, 0x2f,
   0xc4, 0x6c, 0xb7, 0xdb, 0xc7, 0xc7, 0xc7, 0xfb,
   0xfb, 0xfb, 0xdd, 0x6e, 0x37, 0xd8, 0x08, 0x36,
   0x39, 0xfe, 0x02, 0xb5, 0x45, 0xaf, 0xf6, 0x3f,
   0x03, 0x95, 0xdb, 0x00, 0x00, 0x00, 0x00, 0x49,
   0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

/* seperator.png */
const char seperator[85] =
{
   0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a,
   0x00, 0x00, 0x00, 0x0d, 0x49, 0x48, 0x44, 0x52,
   0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00, 0x1b,
   0x08, 0x02, 0x00, 0x00, 0x00, 0xce, 0x2f, 0x59,
   0xe9, 0x00, 0x00, 0x00, 0x1c, 0x49, 0x44, 0x41,
   0x54, 0x78, 0xda, 0x63, 0x60, 0x18, 0x05, 0x23,
   0x17, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0x70, 0x2e, 0x13, 0x2e, 0x75, 0x03, 0x2a, 0x01,
   0x00, 0xd2, 0x1b, 0x06, 0x07, 0x72, 0x4a, 0x6e,
   0xa3, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e,
   0x44, 0xae, 0x42, 0x60, 0x82
};

